cascading.tuple.hadoop.io

## Class TuplePairSerializer

- java.lang.Object
- - cascading.tuple.hadoop.io.TuplePairSerializer

- All Implemented Interfaces:
    org.apache.hadoop.io.serializer.Serializer<TuplePair>

      public class TuplePairSerializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TuplePairSerializer(TupleSerialization.SerializationElementWriter elementWriter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `open(java.io.OutputStream out)`
    `void` | `serialize(TuplePair tuple)`
    `protected void` | `setWriters(Fields fields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TuplePairSerializer

          public TuplePairSerializer(TupleSerialization.SerializationElementWriter elementWriter)

  - ### Method Detail

    - #### serialize

          public void serialize(TuplePair tuple)
                         throws java.io.IOException

      Specified by:
        `serialize` in interface `org.apache.hadoop.io.serializer.Serializer<TuplePair>`
      Throws:
        `java.io.IOException`

    - #### setWriters

          protected void setWriters(Fields fields)

    - #### open

          public void open(java.io.OutputStream out)

      Specified by:
        `open` in interface `org.apache.hadoop.io.serializer.Serializer<T extends Tuple>`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `org.apache.hadoop.io.serializer.Serializer<T extends Tuple>`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.